# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.3.0] - 2024-04-12

### Added

-   Support for `NoMap` world modifier: interacting with a cartography table will display the map.
-   Enforce mod to be installed on all clients if installed on the server (Jotunn version check).

### Changed

-   Updated for Valheim 0.217.46.

### Fixed

-   Fix `NullReferenceException` errors if shift-clicking a pin on the map without interacting with a cartography table.

## [0.2.0] - 2024-02-25

### Added

-   Add limited one-way compatibility for public pins sharing from modded clients to vanilla non-modded clients.

### Fixed

-   Fix shared pins disappearing if a cartography table is in use while a save occurs.
-   Fix `NullReferenceException` errors if hovering a cartography table while the game is shutting down.

## [0.1.1] - 2024-02-18

### Fixed

-   Restrict map interactions to sharable pin types.
-   Remove debug logging.
-   Fix pin type filter toggling flooding logs with `NullReferenceException` errors.

## [0.1.0] - 2024-02-12

### Added

-   Initial release.

[Unreleased]: https://github.com/nbusseneau/BetterCartographyTable/compare/0.3.0...HEAD

[0.3.0]: https://github.com/nbusseneau/BetterCartographyTable/compare/0.2.0...0.3.0

[0.2.0]: https://github.com/nbusseneau/BetterCartographyTable/compare/0.1.1...0.2.0

[0.1.1]: https://github.com/nbusseneau/BetterCartographyTable/compare/0.1.0...0.1.1

[0.1.0]: https://github.com/nbusseneau/BetterCartographyTable/compare/d81736f2634eb52248432e1a66f59ac0acb491b4...0.1.0
